%define oname IPy
Summary:        Python module for handling IPv4 and IPv6 Addresses and Networks
Name:           python-%{oname}
Version:        1.01
Release:    1%{?dist}
URL:            https://github.com/haypo/python-ipy
Source0:        https://files.pythonhosted.org/packages/source/I/IPy/IPy-%{version}.tar.gz
License:        BSD
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
IPy is a Python module for handling IPv4 and IPv6 Addresses and Networks 
in a fashion similar to perl's Net::IP and friends. The IP class allows 
a comfortable parsing and handling for most notations in use for IPv4 
and IPv6 Addresses and Networks.




%package -n python3-%{oname}
Summary: Python 3 module for handling IPv4 and IPv6 Addresses and Networks

%description -n python3-%{oname}
IPy is a Python 3 module for handling IPv4 and IPv6 Addresses and Networks 
in a fashion similar to perl's Net::IP and friends. The IP class allows 
a comfortable parsing and handling for most notations in use for IPv4 
and IPv6 Addresses and Networks.



%prep
%autosetup -n %{oname}-%{version} -p1


%build
%py3_build


%check
PYTHONPATH=$PWD %{__python3} test/test_IPy.py


%install
%py3_install


%files -n python3-%{oname}
%license COPYING
%doc AUTHORS ChangeLog README.rst
%{python3_sitelib}/%{oname}*
%{python3_sitelib}/__pycache__/%{oname}*


%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.01-1
- initial build
